import 'package:test/test.dart';
import 'package:valid_value_objects/src/unique_id.dart';

void main() {
  test('Unnamed constructor', () {
    final uid = UniqueId();

    print(uid.toString());
    print(uid.createTime);
  });

  test('withUniqueId()', () {
    expect(() => UniqueId.withUniqueId(''), throwsA(isA<AssertionError>()));
    expect(UniqueId.withUniqueId('uniqueId'), isA<UniqueId>());
  });

  test('fromJson & toJson', () {
    final id = UniqueId.fromJson({'id': 'uniqueId'});

    expect(id.toJson(), {'id': 'uniqueId'});

    expect(id, isA<UniqueId>());
    expect(
      UniqueId.fromJson({
        'x': {'id': 'uniqueId'}
      }),
      isA<UniqueId>(),
    );
  });
}
